<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_mean.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_mean" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_mean</refname>
    <refpurpose>calculates the mean of data elements.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nan_mean(x)
   nan_mean(x,DIM)
   nan_mean(x,opt)
   nan_mean(x,opt,DIM)
   nan_mean(x,DIM,opt)
   nan_mean(x,DIM,W)
   nan_mean(x,DIM,opt,W);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>DIM:</term>
      <listitem><para>    dimension</para></listitem></varlistentry>
   <varlistentry><term>default or []:</term>
      <listitem><para> first DIMENSION, with more than 1 element</para></listitem></varlistentry>
   <varlistentry><term>opt:</term>
      <listitem><para>    options</para></listitem></varlistentry>
   <varlistentry><term>W:</term>
      <listitem><para>    weights to compute weighted mean (default: [])</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
features:
   </para>
   <para>
- can deal with NaN's (missing values)
   </para>
   <para>
- weighting of data
   </para>
   <para>
- dimension argument also in Octave
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
X=testmatrix('magi',3)
X([1 6:9]) = %nan*ones(1,5)

y = nan_mean(X)

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_geomean">nan_geomean</link></member>
   <member><link linkend="nan_harmmean">nan_harmmean</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2004,2008,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
